List the running pods of a stack with their containers' security posture
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods \
--header 'Authorization: Bearer <token>'{
"result": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"pod_name": "<string>",
"pod_uid": "<string>",
"owner_kind": "<string>",
"owner_name": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"member_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_kind": "addon",
"member_name": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"containers": [
{
"name": "<string>",
"kind": "app",
"image": "<string>",
"image_digest": "<string>",
"image_identity": "<string>",
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"sbom_status": "present",
"component_count": 123
}
],
"scanned": true,
"scanned_containers": 123,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"containers_with_sbom": 123,
"containers_without_sbom": 123,
"priority": "critical"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"members": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "addon",
"name": "<string>",
"namespace": "<string>",
"pods": 123
}
],
"capped": true,
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
List the running pods of a stack with their containers' security posture
GET
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
/
{stack_name}
/
security
/
pods
List the running pods of a stack with their containers' security posture
import requests
url = "https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/clusters/imported/{cluster_id}/stacks/{stack_name}/security/pods \
--header 'Authorization: Bearer <token>'{
"result": [
{
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"namespace": "<string>",
"pod_name": "<string>",
"pod_uid": "<string>",
"owner_kind": "<string>",
"owner_name": "<string>",
"workload_kind": "<string>",
"workload_name": "<string>",
"member_resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"member_kind": "addon",
"member_name": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z",
"containers": [
{
"name": "<string>",
"kind": "app",
"image": "<string>",
"image_digest": "<string>",
"image_identity": "<string>",
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"sbom_status": "present",
"component_count": 123
}
],
"scanned": true,
"scanned_containers": 123,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"containers_with_sbom": 123,
"containers_without_sbom": 123,
"priority": "critical"
}
],
"pagination": {
"page": 123,
"page_size": 123,
"total_count": 123,
"total_pages": 123
},
"members": [
{
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "addon",
"name": "<string>",
"namespace": "<string>",
"pods": 123
}
],
"capped": true,
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"status": "fresh",
"unscanned_clusters": 123
},
"intelligence": {
"epss_synced_at": "2023-11-07T05:31:56Z",
"kev_listed": 123,
"kev_synced_at": "2023-11-07T05:31:56Z"
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 10000Values above 100 are clamped to 100.
Required range:
x >= 1Case-insensitive match on pod name, namespace, member name, workload name, container name or image.
Only pods deployed by this add-on or manifest member of the stack.
Response
Successful response
The running pods of one stack, riskiest first, grouped by the add-on or manifest that deploys them.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
True when the read stopped at its cap of 2000 container rows - a pod with N containers spends N of it - so the listing is partial; every pod listed is complete.
Show child attributes
Show child attributes
Show child attributes
Show child attributes